View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000189aMuleFeature Requestpublic2004-11-04 23:382005-10-24 11:05
Reporterken 
Assigned ToXaignar 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.3.5
Product Version 
Target VersionFixed in VersionSVN 
Summary0000189: Type-to-select doesn't work
DescriptionWhen the downloads list is sorted by file name, I can't select items by typing the first couple of letters of their name like I could in eMule.
Steps To ReproduceRun aMule.
Switch to Transfers screen.
Sort downloads by file name.
Click in downloads list to make sure it has keyboard focus.
Type letters.
Notice that the selection doesn't change. It should jump to the file whose name begin with the letters you typed.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
related to 0000222resolvedXaignar Provide a way to search and filter through returned search results. 

-  Notes
(0000341)
Kry (manager)
2004-11-05 00:10

This is more a feature request than a bug.
(0000348)
ken (developer)
2004-11-05 00:33

OK, I wasn't sure if this was a feature which hadn't been implemented, or if you guys intended to and thought you had implemented it, but a bug was preventing it from working.
(0000509)
Xaignar (manager)
2005-01-15 02:45

Ok, a question or two before I work on this.
 - Does this select from the currently ordered-by column, or always filenames?
 - Does this work by going to the next line with the same first letter as the key pressed, or something else?

This should probably (depending on exact requirements) be implemented in CMuleListCtrl, so that it'll work in all of our lists.
(0000510)
ken (developer)
2005-01-15 02:57

Well, it can work however you think is best. Here's what I would expect:

"Does this select from the currently ordered-by column, or always filenames?"

At a minimum, selects by filename and only when sorted by filename. In other words, both. As far as how it would behave when sorted by other columns, I'm undecided. I'm leaning toward always selecting by filename regardless of sort because the other columns aren't very well suited to selecting by string.

"Does this work by going to the next line with the same first letter as the key pressed, or something else?"

When I've implemented this in other projects, and as I recall from using eMule, it works like this: if the keypress has come within about 2 seconds since the last one, it is appended onto a string of recent keypresses. If the keypress comes after 2 seconds of inactivity, it starts a new string rather than adding onto the existing string. The lexically-first filename equal to or greater than the accumulated string is selected.

The only complication is this: suppose user types "a", then clicks to select a different file, then types "z" within 2 seconds. Do we select file "z" or file "az"? I guess, I'd recommend selecting file "z", but if it's a pain to implement this way, I'd let it slide.
(0001344)
Xaignar (manager)
2005-10-24 11:05

Initial support for TTS has been added.

- Issue History
Date Modified Username Field Change
2004-11-04 23:38 ken New Issue
2004-11-05 00:10 Kry Note Added: 0000341
2004-11-05 00:33 ken Note Added: 0000348
2004-11-13 13:59 Kry Status new => assigned
2004-11-13 13:59 Kry Assigned To => Kry
2005-01-07 04:26 Kry Assigned To Kry => ken
2005-01-15 02:42 Xaignar Assigned To ken => Xaignar
2005-01-15 02:45 Xaignar Note Added: 0000509
2005-01-15 02:57 ken Note Added: 0000510
2005-03-09 17:05 Xaignar Category Transfer => Feature Request
2005-04-28 00:52 Xaignar Relationship added related to 0000222
2005-10-24 11:05 Xaignar Status assigned => resolved
2005-10-24 11:05 Xaignar Fixed in Version => CVS
2005-10-24 11:05 Xaignar Resolution open => fixed
2005-10-24 11:05 Xaignar Note Added: 0001344


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker